LRank <-
function(data,y,verbose=FALSE){
	# Wrapper function to run LMEst on an entire dataset
	# Arguments:
	#	data : a dataset of SNPs encoded as {0,1,2}
	#		rows : samples
	#		columns : SNPs
	#	y : measured continuous phenotype 
	#	verbose : optional progress indicator
	# Value:
	#	A numerical matrix containing LMEst outputs for each SNP in the columns

	p<-dim(data)[2];
	array<-matrix(rep(NA,7*p),7,p);
	rownames(array)<-c("interaction",
		 "sigma",
		 "MAF",
		 "ser",
		 "sample_size",
		 "pValue",
		 "SNPIndex");
	colnames(array)<-colnames(data);
	if (verbose){
		for (i in 1:p){
			array[,i]<-LMEst(data[,i],y,i,nameNames=F);
			cat(i,"\n");
		}
	}else{
		for (i in 1:p){
			array[,i]<-LMEst(data[,i],y,i,nameNames=F);
		}
	}
	return(array);
}
