inteRank <-
function(data,y,verbose=FALSE){
	# Wrapper function to run LIMEst on an entire dataset
	# Arguments:
	#	data : a dataset of SNPs encoded as {0,1,2}
	#		rows : samples
	#		columns : SNPs
	#	y : measured continuous phenotype 
	#	verbose : optional progress indicator
	# Value:
	#	A numerical matrix containing LIMEst outputs for each SNP in the columns

	p<-dim(data)[2];
	array<-matrix(rep(NA,10*p),10,p);
	rownames(array)<-c("interaction",
		 "sigma",
		 "LD",
		 "MAF1",
		 "MAF2",
		 "ser",
		 "sample_size",
		 "pValue",
		 "SNP1Index",
		 "SNP2Index");
	colnames(array)<-colnames(data);
	if (verbose){
		for (i in 1:p){
			array[,i]<-LIMEst(data[,i],y,i,nameNames=F);
			cat(i,"\n");
		}
	}else{
		for (i in 1:p){
			array[,i]<-LIMEst(data[,i],y,i,nameNames=F);
		}
	}
	return(array);
}
