momentcov <-
function(U,V,S){
	# Utility function used by LIMEst
	# Computes the diagonal of the covariance matrix of the 2 moments in S
	# computed with "moments"
	# Used to compute the weight matrix in the cost function
	
	## centralize distributions
	Y<-V-mean(V);
	X<-U-mean(U);
	l<-length(S);
	
	## compute higher order moments (moment variance-covariance)
	gamma<-matrix(c(
	mean(X^2*Y^2),0,
	0,mean(X^4*Y^2)
	),l,l,byrow=T)-S%*%t(S);
	return(gamma);
}
