secondStage <-
function(LIMList,data,y,verbose=FALSE){
	# Wrapper function to performs the second stage of testing SNPs found significant with LIMEst against the entire dataset
	# Arguments:
	#	LIMList : matrix output by inteRank
	#	data : the dataset of SNPs encoded as {0,1,2}
	#		rows : samples
	#		columns : SNPs
	#	y : measured continuous phenotype 
	#	verbose : optional progress indicator
	# Value:
	#	A numerical matrix containing in the columns the concatenated outputs of LIMConditional and IMEst outputs for each possible pair of SNPs between the LIMList and data arguments
	
	p<-dim(data)[2];
	q<-dim(LIMList)[2];
	array<-matrix(rep(NA,20*p*q),20,p*q);
	#array<-matrix(rep(NA,10*p*q),10,p*q);
	rownames(array)<-c("interaction_C",
		 "1-corr^2",
		 "LD_C",
		 "MAF1_C",
		 "MAF2_C",
		 "ser_C",
		 "sample_size_C",
		 "pValue_C",
		 "SNP1Index_C",
		 "SNP2Index_C",
		 "interaction_M",
		 "sigma_M",
		 "LD_M",
		 "MAF1_M",
		 "MAF2_M",
		 "ser_M",
		 "sample_size_M",
		 "pValue_M",
		 "SNP1Index_M",
		 "SNP2Index_M");
	l<-1;
	if (verbose){
		for (i in 1:q){
			for (j in 1:p){
				IM<-IMEst(data[,LIMList["SNP1Index",i]],y,data[,j],xIndex=LIMList["SNP1Index",i],zIndex=j,nameNames=F);
				array[,l]<-c(LIMConditional(data[,LIMList["SNP1Index",i]],data[,j],IM,LIMList[,i],nameNames=F),IM
);
				l<-l+1;
			}
			cat(i,"\n");
		}
	}else{
		for (i in 1:q){
			for (j in 1:p){
				IM<-IMEst(data[,LIMList["SNP1Index",i]],y,data[,j],xIndex=LIMList["SNP1Index",i],zIndex=j,nameNames=F);
				array[,l]<-c(LIMConditional(data[,LIMList["SNP1Index",i]],data[,j],IM,LIMList[,i],nameNames=F),IM
);
				l<-l+1;
			}
		}
	}
	return(array);
}
