\name{IMEst}
\alias{IMEst}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Multiplicative interaction phenotype model estimation
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Computes a model of multiplicative interaction of two oberved SNPs, x and z, with respect to the phenotype y, of the type y=b*x*z+e. Linear regression is used to estimate the interaction coefficient and a t-test p-value is computed based on the robust standard error of the estimate.
}
\usage{
IMEst(x, y, z, xIndex = NA, zIndex = NA, nameNames = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
%%     ~~Describe \code{x} here~~
measured SNP encoded as 0/1/2
}
  \item{y}{
%%     ~~Describe \code{y} here~~
measured continuous phenotype
}
  \item{z}{
%%     ~~Describe \code{z} here~~
measured SNP encoded as 0/1/2
}
  \item{xIndex}{
%%     ~~Describe \code{xIndex} here~~
optional index for the SNP x in the dataset
}
  \item{zIndex}{
%%     ~~Describe \code{zIndex} here~~
optional index for the SNP z in the dataset
}
  \item{nameNames}{
%%     ~~Describe \code{nameNames} here~~
optional naming for the entries of the output vector
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
	A vector of numerical values containing
	\item{}{regression (interaction) coefficient b }
	\item{}{variance of the noise e }
	\item{}{LD between the 2 SNPs }
	\item{}{MAF of SNP x }
	\item{}{MAF of SNP z }
	\item{}{standard error of the estimate b }
	\item{}{sample size }
	\item{}{p-value for the estimate using the t-test }
	\item{}{index of SNP x as given by xIndex }
	\item{}{index of SNP z as given by zIndex }
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Janos-Zsigmond Kelemen, Niko Beerenwinkel
}
\note{
%%  ~~further notes~~
This method can be used to run exhaustive searches for significant epistatic SNP pairs.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
\code{\link{LIMEst}},\code{\link{LMEst}}
}
\examples{
## Set a sample size
N <- 1000
## Set the MAF for one SNP
q <- 0.3
## Set the MAF for another SNP
p <- 0.3
## Simulate a SNP assuming HWE
x <- sample(c(0,1,2),N,replace=TRUE,prob=c((1-q)^2,2*q*(1-q),q^2))
## Simulate another SNP assuming HWE
z <- sample(c(0,1,2),N,replace=TRUE,prob=c((1-p)^2,2*p*(1-p),p^2))
## Simulate a multiplicative phenotype and add Gaussian noise
y <- x*z + rnorm(N,0,2)
## Run IMEst with the two SNPs and the phenotype
IMEst(x, y, z, xIndex = NA, zIndex = NA, nameNames = TRUE)
## Simulate a third SNP assuming HWE
x1 <- sample(c(0,1,2),N,replace=TRUE,prob=c((1-q)^2,2*q*(1-q),q^2))
## Run again IMEst (compare p-values)
IMEst(x1, y, z, xIndex = NA, zIndex = NA, nameNames = TRUE)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ Multiplicative epistasis }
\keyword{ Linear regression }% __ONLY ONE__ keyword per line
