\name{LIMConditional}
\alias{LIMConditional}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Two-stage conditional model, yielding a conditional p-value for a pair of SNPs
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Framework to compute the t-test p-value for 2 measured SNPs x and z, given that x had a non-zero latent interaction coefficient with \code{LIMEst}.
Assumes b*x*z = b_latent * x * z_latent + e
}
\usage{
LIMConditional(x, z, IM, LIM, nameNames = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
%%     ~~Describe \code{x} here~~
measured SNP encoded as 0/1/2
}
  \item{z}{
%%     ~~Describe \code{z} here~~
measured SNP encoded as 0/1/2
}
  \item{IM}{
%%     ~~Describe \code{IM} here~~
interaction model with x and z - output from \code{IMEst}
}
  \item{LIM}{
%%     ~~Describe \code{LIM} here~~
latent interaction model with x - output from \code{LIMEst}
}
  \item{nameNames}{
%%     ~~Describe \code{nameNames} here~~
optional naming for the entries of the output vector
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
A vector of numerical values:
	\item{}{b_latent}
	\item{}{1-coefficient of determination between IM and LIM}
	\item{}{estimated LD from LIM}
	\item{}{MAF of SNP x}
	\item{}{MAF of SNP z = 0.5}
	\item{}{conditional standard error of the estimate b}
	\item{}{sample size}
	\item{}{conditional p-value for the estimate b using the t-test}
	\item{}{index of SNP x}
	\item{}{index of SNP z}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Janos-Zsigmond Kelemen, Niko Beerenwinkel
}
\note{
%%  ~~further notes~~
This function is used in the second stage of a two-stage epistasis search.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
\code{\link{LIMEst}}, \code{\link{inteRank}}, \code{\link{secondStage}}
}
\examples{
## Set a sample size
N <- 1000
## Set the MAF for the observed SNP
q <- 0.3
## Set the MAF for the unobserved SNP
p <- 0.3
## Simulate the observed SNP assuming HWE
x <- sample(c(0,1,2),N,replace=TRUE,prob=c((1-q)^2,2*q*(1-q),q^2))
## Simulate the unobserved SNP assuming HWE
z <- sample(c(0,1,2),N,replace=TRUE,prob=c((1-p)^2,2*p*(1-p),p^2))
## Simulate the phenotype a multiplicative phenotype and adding Gaussian noise
y <- x*z + rnorm(N,0,2)
## Run LIMEst with the observed SNP and the phenotype
LIM <- LIMEst(x, y, xIndex = NA, nameNames = TRUE)
## Run IMEst considering both SNPs observed
IM <- IMEst(x, y, z, xIndex = NA, zIndex = NA, nameNames = TRUE)
## Run LIMConditional
LIMC <- LIMConditional(x, z, IM, LIM, nameNames = TRUE)
## Display the conditional and the marginal p-values (they may be identical)
print(c(IM["pValue"],LIMC["pValue"]))
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ Two-stage testing }
\keyword{ Conditional p-value }% __ONLY ONE__ keyword per line
