\name{LIMEst}
\alias{LIMEst}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Latent multiplicative interaction phenotype model estimation
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Computes a model of interaction of a measured SNP x with a latent SNP z, with respect to the phenotype y, of the type y=b*x*z+e. Latent variable regression is used to estimate the interaction coefficient and a t-test p-value is computed based on the robust standard error of the estimate. The LD between the measured and the latent SNPs is also estimated.
}
\usage{
LIMEst(x, y, xIndex = NA, nameNames = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
%%     ~~Describe \code{x} here~~
measured SNP encoded as 0/1/2
}
  \item{y}{
%%     ~~Describe \code{y} here~~
measured continuous phenotype
}
  \item{xIndex}{
%%     ~~Describe \code{xIndex} here~~
optional index for the SNP x in the dataset
}
  \item{nameNames}{
%%     ~~Describe \code{nameNames} here~~
optional naming for the entries of the output vector
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
A vector of numerical values:
	\item{}{regression (interaction) coefficient b}
	\item{}{variance of the noise e}
	\item{}{estimated LD between the 2 SNPs}
	\item{}{MAF of SNP x}
	\item{}{MAF of SNP z = 0.5}
	\item{}{standard error of the estimate b}
	\item{}{sample size}
	\item{}{p-value for the estimate using the t-test}
	\item{}{index of SNP x as given by xIndex}
	\item{}{index of SNP z = NA}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Janos-Zsigmond Kelemen, Niko Beerenwinkel
}
\note{
%%  ~~further notes~~
This method can be used to select SNPs significant epistatis potential.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
\code{\link{inteRank}},\code{\link{IMEst}},\code{\link{LMEst}}
}
\examples{
## Set a sample size
N <- 1000
## Set the MAF for the observed SNP
q <- 0.3
## Set the MAF for the unobserved SNP
p <- 0.3
## Simulate the observed SNP assuming HWE
x <- sample(c(0,1,2),N,replace=TRUE,prob=c((1-q)^2,2*q*(1-q),q^2))
## Simulate the unobserved SNP assuming HWE
z <- sample(c(0,1,2),N,replace=TRUE,prob=c((1-p)^2,2*p*(1-p),p^2))
## Simulate the phenotype a multiplicative phenotype and adding Gaussian noise
y <- x*z + rnorm(N,0,2)
## Run LIMEst with the observed SNP and the phenotype
LIMEst(x, y, xIndex = NA, nameNames = TRUE)
## Simulate the another observed SNP assuming HWE
x1 <- sample(c(0,1,2),N,replace=TRUE,prob=c((1-q)^2,2*q*(1-q),q^2))
## Run again LIMEst (compare p-values)
LIMEst(x1, y, xIndex = NA, nameNames = TRUE)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ Multiplicative epistasis }
\keyword{ Latent variable regression }
\keyword{ Structural equation modelling }
\keyword{ Moment structure analysis }% __ONLY ONE__ keyword per line
