\name{LRank}
\alias{LRank}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Wrapper function to run \code{LMEst} on an entire dataset
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
The function takes a dataset of SNPs and runs the linear phenotype model estimation on each SNP.
}
\usage{
LRank(data, y, verbose = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{data}{
%%     ~~Describe \code{data} here~~
a dataset of SNPs encoded as 0/1/2\cr
rows = samples \cr
columns = SNPs \cr
}
  \item{y}{
%%     ~~Describe \code{y} here~~
measured continuous phenotype
}
  \item{verbose}{
%%     ~~Describe \code{verbose} here~~
optional progress indicator
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
A numerical matrix containing LMEst outputs for each SNP in the columns
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Janos-Zsigmond Kelemen, Niko Beerenwinkel
}
\note{
%%  ~~further notes~~
The user can then rank the SNPs based on the associated p-values, which reflect their main effect on the phenotype.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
\code{\link{LMEst}}, \code{\link{inteRank}}
}
\examples{
## Set up a small SNP dataset with P SNPs and N samples
N <- 1000
P <- 10
data <- matrix(rep(NA, N * P), N, P)
## Sample P MAF values from a uniform distribution
mafs <- runif(P, 0.2, 0.5)
## Simulate the SNPs using the HWE assumption
for(i in 1:P){
	q <- mafs[i]
	data[, i] <- sample(c(0,1,2),N,replace=TRUE,prob=c((1-q)^2,2*q*(1-q),q^2))
}
## Simulate a multiplicative phenotype using, say, the 3rd and the 7th SNPs and add Gaussian noise
y <- data[, 3]*data[, 7] + rnorm(N,0,2)
## Run the latent variable regression on the dataset
result <- LRank(data, y, verbose = FALSE)
## Display the p-value for the SNPs
print(result["pValue",])
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ Linear regression }
\keyword{ GWAS }% __ONLY ONE__ keyword per line
