\name{secondStage}
\alias{secondStage}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Wrapper function to perform the second stage of the epistasis search
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Performs the second stage of testing SNPs found significant in the first stage with \code{LIMEst} against the entire dataset.
}
\usage{
secondStage(LIMList, data, y, verbose = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{LIMList}{
%%     ~~Describe \code{LIMList} here~~
matrix output by \code{inteRank}
}
  \item{data}{
%%     ~~Describe \code{data} here~~
a dataset of SNPs encoded as 0/1/2\cr
rows = samples \cr
columns = SNPs \cr
}
  \item{y}{
%%     ~~Describe \code{y} here~~
measured continuous phenotype
}
  \item{verbose}{
%%     ~~Describe \code{verbose} here~~
verbose : optional progress indicator
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
A numerical matrix containing in the columns the concatenated outputs of \code{LIMConditional} and \code{IMEst} outputs for each possible pair of SNPs between the LIMList and data arguments
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Janos-Zsigmond Kelemen, Niko Beerenwinkel
}
\note{
%%  ~~further notes~~
This function is used in the second stage of a two-stage epistasis search.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
\code{\link{LIMEst}}, \code{\link{IMEst}}, \code{\link{inteRank}}
}
\examples{
## Set up a small SNP dataset with P SNPs and N samples
N <- 1000
P <- 10
data <- matrix(rep(NA, N * P), N, P)
## Sample P MAF values from a uniform distribution
mafs <- runif(P, 0.2, 0.5)
## Simulate the SNPs using the HWE assumption
for(i in 1:P){
	q <- mafs[i]
	data[, i] <- sample(c(0,1,2),N,replace=TRUE,prob=c((1-q)^2,2*q*(1-q),q^2))
}
## Simulate a multiplicative phenotype using, say, the 3rd and the 7th SNPs and add Gaussian noise
y <- data[, 3]*data[, 7] + rnorm(N,0,2)
## Run the latent variable regression on the dataset
LIMList <- inteRank(data, y, verbose = FALSE)
## Run secondStage, which amounts to an exhaustive search
result <- secondStage(LIMList, data, y, verbose = FALSE)
## Diplay the ten smallest conditional p-values
print(sort(result["pValue_C", ])[1:10])
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ Two-stage testing }
\keyword{ Conditional p-value }% __ONLY ONE__ keyword per line
